/*************************
header file for lsatmain.c
*************************/

/* checks rpms against a list of unnecessary ones */
int checkspkgs(char release[], char kernel[], int distribution, const char *const filename, int verbose);

/* check /etc/inetd.conf file for entries.	  */
/* if running xinetd.d, check that.		  */
int checkinetd(char release[], char kernel[], const char *const outfile, int verbose);

/* if running inetd or xinetd.d, check that 	  */
/* hosts.deny has ALL:ALL, at least.		  */
int checkhostsfiles(const char *const outfile, int verbose);

/* check SETUID/SETGID files on the sustem	  */
int checkset(const char *const outfile, int verbose);

/* check for world WRITABLE files and directories */
int checkwrite(const char *const outfile, int verbose);

/* check for .exrc and .forward files */
int checdotfiles(const char *const outfile, int verbose);

/* check for UID 0 other than root and unwated users */
int checkpasswd(const char *const outfile, int verbose);

/* check for sticky bits on /tmp, /var/tmp */
/* this will do more later. */
int checkfiles(const char *const outfile, int verbose);

/* check for umask settings in /etc/ */
int checkumask(const char *const outfile, int verbose);

/* check for entries in /etc/ftpusers */
int checkftpusers(const char *const outfile, int verbose);

/* check rc files for unneeded ones */
int checkrc(char release[], char kernel[], int distribution, const char *const outfile, int verbose);

/* check for ctrl-alt-del (linux) or STOP-A (SunOS) disable */
int checkkbd(char release[], char kernel[], const char *const outfile, int verbose);

/* check network ports we are listening on */
int checknet(const char *const outfile, int verbose);
